Imports System.Drawing

Public Class FlatButton
    Inherits System.Windows.Forms.Button
    Public Property allowBorder As Boolean = False
    Public Sub New()
        MyBase.FlatStyle = Windows.Forms.FlatStyle.Flat
        MyBase.ForeColor = Color.Black
        MyBase.FlatAppearance.BorderSize = 0
        If Not allowBorder Then
            MyBase.FlatAppearance.BorderSize = 0
        End If
    End Sub

End Class
